# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IReportItem

Packages that use IReportItem
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IReportItem in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IReportItem
Modifier and Type
Class
Description
`class`
`MultiRowItem`
Implements of multi row report item.
`class`
`SimpleRowItem`
Implements of simple item that has no data rows.The constructor in sub class must call super(ExtendedItemHandle).
Methods in org.eclipse.birt.report.model.api.extension that return IReportItem
Modifier and Type
Method
Description
`IReportItem`
MultiRowItem.`getExtensionElement()`
Gets the corresponding extension item that is wrapped by the `MultiRowItem`.
`IReportItem`
IReportItem.`getSimpleElement()`
Returns the interface for script operations.
`IReportItem`
ReportItem.`getSimpleElement()`

## Uses of IReportItem in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IReportItem
Modifier and Type
Method
Description
`IReportItem`
SimpleElementFactory.`wrapExtensionElement(ExtendedItemHandle handle, int type)`

## Uses of IReportItem in org.eclipse.birt.report.model.api.simpleapi

Subinterfaces of IReportItem in org.eclipse.birt.report.model.api.simpleapi
Modifier and Type
Interface
Description
`interface`
`IAutoText`
Simple wrapper of AutoTextHandle
`interface`
`IDataItem`
Represents a the design of a DataItem in the scripting environment
`interface`
`IDynamicText`
Represents a the design of a multi line text item in the scripting environment
`interface`
`IExtendedItem`
Script wrapper of ExtendedItemHandle.
`interface`
`IGrid`
Represents a the design of a Grid in the scripting environment
`interface`
`IImage`
Represents a the design of an Image in the scripting environment
`interface`
`ILabel`
Represents a the design of a Label in the scripting environment
`interface`
`IList`
Represents the design of a List in the scripting environment
`interface`
`IListing`
Represents the design of an Listing in the scripting environment
`interface`
`IMultiRowItem`
`interface`
`ITable`
Represents the design of a Table in the scripting environment
`interface`
`ITextItem`
Represents a the design of a TextItem in the scripting environment
Methods in org.eclipse.birt.report.model.api.simpleapi that return IReportItem
Modifier and Type
Method
Description
`IReportItem`
ISimpleElementFactory.`wrapExtensionElement(ExtendedItemHandle handle, int type)`
Creates the scriptable object for the corresponding element handles.